petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMLocalToGlobalBegin

updates global vectors from local vectors

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode  DMLocalToGlobalBegin(DM dm,Vec l,InsertMode mode,Vec g)

Neighbor-wise Collective on DM

### Input Parameters

| dm | - the DM object
| l | - the local vector
| mode | - if INSERT_VALUES then no parallel communication is used, if ADD_VALUES then all ghost points from the same base point accumulate into that base point.
| g | - the global vector

### Notes

In the ADD_VALUES case you normally would zero the receiving vector before beginning this operation. INSERT_VALUES is not supported for DMDA, in that case simply compute the values directly into a global vector instead of a local one.

### See Also

DMCoarsen(), DMDestroy(), DMView(), DMCreateGlobalVector(), DMCreateInterpolation(), DMGlobalToLocalEnd(), DMGlobalToLocalBegin()

### Level

beginner

### Location

src/dm/interface/dm.c

### Examples

src/dm/examples/tutorials/ex1.c.html
src/dm/examples/tutorials/ex5.c.html
src/dm/examples/tutorials/ex7.c.html
src/dm/examples/tutorials/ex9.c.html
src/ksp/ksp/examples/tutorials/ex42.c.html
src/ksp/ksp/examples/tutorials/ex43.c.html
src/ksp/ksp/examples/tutorials/ex49.c.html
src/ksp/ksp/examples/tutorials/ex69.c.html
src/ksp/ksp/examples/tutorials/ex70.c.html
src/snes/examples/tutorials/ex5.c.html
src/snes/examples/tutorials/ex15.c.html

### Implementations

DMLocalToGlobalBegin_Composite in src/dm/impls/composite/pack.c
DMLocalToGlobalBegin_DA in src/dm/impls/da/dagtol.c
DMLocalToGlobalBegin_Moab in src/dm/impls/moab/dmmbvec.cxx
DMLocalToGlobalBegin_Network in src/dm/impls/network/network.c
DMLocalToGlobalBegin_Redundant in src/dm/impls/redundant/dmredundant.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages